/*
 * Copyright (c) 1993 Addison-Wesley Publishing Company.
 * All rights reserved.  This source code is provided
 * for its instructional value, and is not guaranteed
 * for any particular purpose.
 */
#include <sys/utsname.h>
#include <rpc/rpc.h>

bool_t
xdr_utsname(XDR *handle, struct utsname *up)
{
	if (!xdr_vector(handle, up->sysname, SYS_NMLN,
	  sizeof(char), xdr_char))
		return(FALSE);
	if (!xdr_vector(handle, up->nodename, SYS_NMLN,
	  sizeof(char), xdr_char))
		return(FALSE);
	if (!xdr_vector(handle, up->release, SYS_NMLN,
	  sizeof(char), xdr_char))
		return(FALSE);
	if (!xdr_vector(handle, up->version, SYS_NMLN,
	  sizeof(char), xdr_char))
		return(FALSE);
	if (!xdr_vector(handle, up->machine, SYS_NMLN,
	  sizeof(char), xdr_char))
		return(FALSE);
	return(TRUE);
}
